/**   
* @Title: WxResponseParameter.java 
* @Package com.platform.response.xml 
* @Description: TODO(用一句话描述该文件做什么) 
* @author kiosk
* @date 2017年9月4日 下午5:10:58 
* @version V1.0   
*/
package com.platform.response.xml;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;

/** 
* @ClassName: WxResponseParameter 
* @Description: TODO(这里用一句话描述这个类的作用) 
* @author kiosk
* @date 2017年9月4日 下午5:10:58 
*  
*/
public class WxResponseParameter implements Serializable{
	/** 
	* @Fields serialVersionUID : TODO
	* @version V1.0
	*/ 
	
	private static final long serialVersionUID = -5933429273108969644L;
	/**
	 * 公共参数
	 */
	private String service;//服务名称
	private String service_version;//服务版本号
	private String input_charset;//编码格式 UTF-8
	private String sign_type;//签名类型 MD5
	private String sign;//签名值
	/**
	 * 订单支付返回
	 */
	private String qr_url;
	private String return_code;//返回状态码：SUCCESS/FAIL 此字段是通信标识，非结果标识
	private String result_code;//业务结果
	private String trade_type;//交易类型
	private String prepay_id;//预支付交易回话标识
	private String code_url;//二维码链接地址
	//return_code为success时返回appid mchid noce_str sign result_code
	//return_code result_code为successs时返回trade_type prepay_id code_url
	/**
	 * 支付异步通知返回
	 */
	private String return_msg;//返回信息
	//return_code为success
	private String 	appid;// 开发者的AppId
	private String 	mch_id;// 商户号
	private String 	noce_str;//随机字符串
	private String 	err_code_des;//错误描述
	private String 	openid;//用户标识
	private Float 	total_fee;//金额
	private String 	bank_type;//付款银行
	private Integer cash_fee;//现金支付金额
	private String 	transaction_id;//微信订单号
	private String 	out_trade_no;//商户订单号
	private String 	fee_type;//货币种类
	private String 	time_end;//支付完成时间，格式为yyyyMMddHHmmss
	private String 	attach;//商家数据包，原样返回

	/**
	 * 退款异步通知返回
	 */
	//return_code为success
	private String refund_id;//微信退款单号
	private String out_refund_no;//商户退款号
	private String refund_status;//退款状态：SUCCESS-退款成 CHANGE-退款异常 REFUNDCLOSE—退款关闭
	private String refund_fee;//申请退款金额,单位为分
	private String refund_recv_accout;//退款入账账户：取当前退款单的退款入账方 1）退回银行卡 {银行名称}{卡类型}{卡尾号} 2）退回支付用户零钱: 支付用户零钱 3）退还商户: 商户基本账 商户结算银行账户 4）退回支付用户零钱通: 支付用户零钱通
	private String refund_accout;//退款资金来源：REFUND_SOURCE_RECHARGE_FUNDS 可用余额退款/基本账户 REFUND_SOURCE_UNSETTLED_FUNDS 未结算资金退款
	private String settlement_refund_fee;//退款金额
	private String success_time;//退款成功时间
	private String refund_request_source;//退款发起来源：API接口 VENDOR_PLATFORM商户平台
	private String req_info;
	private String settlement_total_fee;//退款金额：退款金额=申请退款金额-非充值代金券退款金额，退款金额<=申请退款金额

	/**
	 * @return the service
	 */
	public String getService() {
		return service;
	}
	/**
	 * @param service the service to set
	 */
	public void setService(String service) {
		this.service = service;
	}
	/**
	 * @return the service_version
	 */
	public String getService_version() {
		return service_version;
	}
	/**
	 * @param service_version the service_version to set
	 */
	public void setService_version(String service_version) {
		this.service_version = service_version;
	}
	/**
	 * @return the input_charset
	 */
	public String getInput_charset() {
		return input_charset;
	}
	/**
	 * @param input_charset the input_charset to set
	 */
	public void setInput_charset(String input_charset) {
		this.input_charset = input_charset;
	}
	/**
	 * @return the sign_type
	 */
	public String getSign_type() {
		return sign_type;
	}
	/**
	 * @param sign_type the sign_type to set
	 */
	public void setSign_type(String sign_type) {
		this.sign_type = sign_type;
	}
	/**
	 * @return the sign
	 */
	public String getSign() {
		return sign;
	}
	/**
	 * @param sign the sign to set
	 */
	public void setSign(String sign) {
		this.sign = sign;
	}
	/**
	 * @return the return_code
	 */
	public String getReturn_code() {
		return return_code;
	}
	/**
	 * @param return_code the return_code to set
	 */
	public void setReturn_code(String return_code) {
		this.return_code = return_code;
	}
	/**
	 * @return the result_code
	 */
	public String getResult_code() {
		return result_code;
	}
	/**
	 * @param result_code the result_code to set
	 */
	public void setResult_code(String result_code) {
		this.result_code = result_code;
	}
	/**
	 * @return the trade_type
	 */
	public String getTrade_type() {
		return trade_type;
	}
	/**
	 * @param trade_type the trade_type to set
	 */
	public void setTrade_type(String trade_type) {
		this.trade_type = trade_type;
	}
	/**
	 * @return the prepay_id
	 */
	public String getPrepay_id() {
		return prepay_id;
	}
	/**
	 * @param prepay_id the prepay_id to set
	 */
	public void setPrepay_id(String prepay_id) {
		this.prepay_id = prepay_id;
	}
	/**
	 * @return the code_url
	 */
	public String getCode_url() {
		return code_url;
	}
	/**
	 * @param code_url the code_url to set
	 */
	public void setCode_url(String code_url) {
		this.code_url = code_url;
	}
	/**
	 * @return the return_msg
	 */
	public String getReturn_msg() {
		return return_msg;
	}
	/**
	 * @param return_msg the return_msg to set
	 */
	public void setReturn_msg(String return_msg) {
		this.return_msg = return_msg;
	}
	/**
	 * @return the appid
	 */
	public String getAppid() {
		return appid;
	}
	/**
	 * @param appid the appid to set
	 */
	public void setAppid(String appid) {
		this.appid = appid;
	}
	/**
	 * @return the mch_id
	 */
	public String getMch_id() {
		return mch_id;
	}
	/**
	 * @param mch_id the mch_id to set
	 */
	public void setMch_id(String mch_id) {
		this.mch_id = mch_id;
	}
	/**
	 * @return the noce_str
	 */
	public String getNoce_str() {
		return noce_str;
	}
	/**
	 * @param noce_str the noce_str to set
	 */
	public void setNoce_str(String noce_str) {
		this.noce_str = noce_str;
	}
	
	/**
	 * @return the openid
	 */
	public String getOpenid() {
		return openid;
	}
	/**
	 * @param openid the openid to set
	 */
	public void setOpenid(String openid) {
		this.openid = openid;
	}
	/**
	 * @return the total_fee
	 */
	public Float getTotal_fee() {
		return total_fee;
	}
	/**
	 * @param total_fee the total_fee to set
	 */
	public void setTotal_fee(Float total_fee) {
		this.total_fee = total_fee;
	}
	/**
	 * @return the transaction_id
	 */
	public String getTransaction_id() {
		return transaction_id;
	}
	/**
	 * @param transaction_id the transaction_id to set
	 */
	public void setTransaction_id(String transaction_id) {
		this.transaction_id = transaction_id;
	}
	/**
	 * @return the out_trade_no
	 */
	public String getOut_trade_no() {
		return out_trade_no;
	}
	/**
	 * @param out_trade_no the out_trade_no to set
	 */
	public void setOut_trade_no(String out_trade_no) {
		this.out_trade_no = out_trade_no;
	}
	/**
	 * @return the out_refund_no
	 */
	public String getOut_refund_no() {
		return out_refund_no;
	}
	/**
	 * @param out_refund_no the out_refund_no to set
	 */
	public void setOut_refund_no(String out_refund_no) {
		this.out_refund_no = out_refund_no;
	}
	/**
	 * @return the refund_status
	 */
	public String getRefund_status() {
		return refund_status;
	}
	/**
	 * @param refund_status the refund_status to set
	 */
	public void setRefund_status(String refund_status) {
		this.refund_status = refund_status;
	}
	/**
	 * @return the refund_fee
	 */
	public String getRefund_fee() {
		return refund_fee;
	}
	/**
	 * @param refund_fee the refund_fee to set
	 */
	public void setRefund_fee(String refund_fee) {
		this.refund_fee = refund_fee;
	}
	/**
	 * @return the qr_url
	 */
	public String getQr_url() {
		return qr_url;
	}
	/**
	 * @param qr_url the qr_url to set
	 */
	public void setQr_url(String qr_url) {
		this.qr_url = qr_url;
	}
	/**
	 * @return the fee_type
	 */
	public String getFee_type() {
		return fee_type;
	}
	/**
	 * @param fee_type the fee_type to set
	 */
	public void setFee_type(String fee_type) {
		this.fee_type = fee_type;
	}
	/**
	 * @return the time_end
	 */
	public String getTime_end() {
		return time_end;
	}
	/**
	 * @param time_end the time_end to set
	 */
	public void setTime_end(String time_end) {
		this.time_end = time_end;
	}
	/**
	 * @return the attach
	 */
	public String getAttach() {
		return attach;
	}
	/**
	 * @param attach the attach to set
	 */
	public void setAttach(String attach) {
		this.attach = attach;
	}
	/**
	 * @return the refund_recv_accout
	 */
	public String getRefund_recv_accout() {
		return refund_recv_accout;
	}
	/**
	 * @param refund_recv_accout the refund_recv_accout to set
	 */
	public void setRefund_recv_accout(String refund_recv_accout) {
		this.refund_recv_accout = refund_recv_accout;
	}

	public String getErr_code_des() {
		return err_code_des;
	}

	public void setErr_code_des(String err_code_des) {
		this.err_code_des = err_code_des;
	}

	public String getBank_type() {
		return bank_type;
	}

	public void setBank_type(String bank_type) {
		this.bank_type = bank_type;
	}

	public Integer getCash_fee() {
		return cash_fee;
	}

	public void setCash_fee(Integer cash_fee) {
		this.cash_fee = cash_fee;
	}
	/**
	 * @return the refund_id
	 */
	public String getRefund_id() {
		return refund_id;
	}
	/**
	 * @param refund_id the refund_id to set
	 */
	public void setRefund_id(String refund_id) {
		this.refund_id = refund_id;
	}
	/**
	 * @return the refund_accout
	 */
	public String getRefund_accout() {
		return refund_accout;
	}
	/**
	 * @param refund_accout the refund_accout to set
	 */
	public void setRefund_accout(String refund_accout) {
		this.refund_accout = refund_accout;
	}
	/**
	 * @return the settlement_refund_fee
	 */
	public String getSettlement_refund_fee() {
		return settlement_refund_fee;
	}
	/**
	 * @param settlement_refund_fee the settlement_refund_fee to set
	 */
	public void setSettlement_refund_fee(String settlement_refund_fee) {
		this.settlement_refund_fee = settlement_refund_fee;
	}
	/**
	 * @return the success_time
	 */
	public String getSuccess_time() {
		return success_time;
	}
	/**
	 * @param success_time the success_time to set
	 */
	public void setSuccess_time(String success_time) {
		this.success_time = success_time;
	}
	/**
	 * @return the refund_request_source
	 */
	public String getRefund_request_source() {
		return refund_request_source;
	}
	/**
	 * @param refund_request_source the refund_request_source to set
	 */
	public void setRefund_request_source(String refund_request_source) {
		this.refund_request_source = refund_request_source;
	}
	/**
	 * @return the req_info
	 */
	public String getReq_info() {
		return req_info;
	}
	/**
	 * @param req_info the req_info to set
	 */
	public void setReq_info(String req_info) {
		this.req_info = req_info;
	}

	public String getSettlement_total_fee() {
		return settlement_total_fee;
	}

	public void setSettlement_total_fee(String settlement_total_fee) {
		this.settlement_total_fee = settlement_total_fee;
	}
}
